GeneralASRPFile (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.asrp
Class GeneralASRPFile

    java.lang.Object
      com.bbn.openmap.dataAccess.asrp.GeneralASRPFile

Direct Known Subclasses:
  GeneralInformationFile, GeoReferenceFile, QualityFile, RasterGeoDataFile, SourceFile, TransmittalHeaderFile

    public class GeneralASRPFile

extends java.lang.Object

Field Summary
`protected java.util.Hashtable` | `fields`
`protected DDFModule` | `info`

Constructor Summary
`GeneralASRPFile()`

Method Summary
`protected void` | `addField(DDFField ddf)` Add a field to the field list.
`protected void` | `close()`
`void` | `dump()`
`void` | `dumpFields()`
`DDFField` | `getField(java.lang.String tag)`
`java.util.List` | `getFields(java.lang.String tag)`
`protected DDFModule` | `getInfo()`
`protected DDFModule` | `load(java.lang.String fileName)`
`protected boolean` | `loadField(DDFRecord record, java.lang.String tagName, int fieldIndex)` If a field has not been loaded, load it from the DDFRecord if it exists and add it to the master field hashtable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected DDFModule info

### fields

    protected java.util.Hashtable fields

Constructor Detail

### GeneralASRPFile

    public GeneralASRPFile()

Method Detail

### load

    protected DDFModule load(java.lang.String fileName)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadField

    protected boolean loadField(DDFRecord record,
                                java.lang.String tagName,
                                int fieldIndex)

  If a field has not been loaded, load it from the DDFRecord if it exists and add it to the master field hashtable.

### addField

    protected void addField(DDFField ddf)

  Add a field to the field list. If a field already exists in the hashtable, the DDFField is replaced by a list of the fields with the same name. Some types of files need this, like the THF file. Others don't seem to.

### getFields

    public java.util.List getFields(java.lang.String tag)

### getField

    public DDFField getField(java.lang.String tag)

### dumpFields

    public void dumpFields()

### getInfo

    protected DDFModule getInfo()

### close

    protected void close()

### dump

    public void dump()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details